
%global meadversion 1.2.0
%global namedversion 1.2.0.redhat-10
%global meadalpha .redhat_10
%global meadrel .1
%global serial 4
%global namedversionrel redhat-10

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}apache-commons-cli}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.0.redhat-10

Name:           %{?scl_prefix}apache-commons-cli
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons CLI
Group:          Development/Java

%if %with mead
Source100: commons-cli-1.2.0.redhat-10-scm-sources.zip
Source102: commons-cli-1.2.0.redhat-10-project-sources.tar.gz
Source103: commons-cli-1.2.0.redhat-10-sources.jar
Source104: commons-cli-1.2.0.redhat-10-javadoc.jar
Source105: commons-cli-1.2.0.redhat-10.jar
Source106: commons-cli-1.2.0.redhat-10.pom
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/cli/
Provides:       %{?scl_prefix}commons-cli = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Commons CLI provides a simple API for presenting, processing and validating a
command line interface.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-cli
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-cli -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-cli-%{namedversion}.jar %{buildroot}%{_javadir}/commons-cli-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-cli-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-cli-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-cli-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-cli-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-cli-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-cli-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-cli-%{namedversion} -x META-INF/\*
%{__ln_s} commons-cli-%{namedversion} %{buildroot}%{_javadocdir}/commons-cli
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt
%{_javadir}/commons-cli-%{namedversion}.jar
%{_javadir}/commons-cli.jar
%if %with javadoc
%{_javadir}/commons-cli-%{namedversion}-javadoc.jar
%{_javadir}/commons-cli-javadoc.jar
%endif
%{_javadir}/commons-cli-%{namedversion}-sources.jar
%{_javadir}/commons-cli-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-cli-%{namedversion}
%{_javadocdir}/commons-cli
%endif

%changelog
* Tue May 05 2015 David Walluck <dwalluck@redhat.com> - 1.2.0-4.redhat_10.1
- release

